 Softpanorama, sept.1996; v.8.No.3(82) *** NEWS *** Составитель Н.Н.Безруков
 =================== Copyright 1996, OOO Софтпанорама ========================

     ┌───────────────────────────────────────────────────────────────┐
     │  П А Н О Р А М А   К О М М Е Р Ч Е С К И Х   Н О В О С Т Е Й  │
     │                    май 1996 - beta II                         │
     │ Рекомендуется читать через Outliner(MS WORD, MultiEdit, KEDIT)│
     └───────────────────────────────────────────────────────────────┘

        П А Н О Р А М А   К О М М Е Р Ч Е С К И Х   Н О В О С Т Е Й

********************************* Сенсация **********************************

Ура !!! DR Dos возвращается ! Причем с исходными текстами...

  10 сентября фирма Calder Inc. объявила, что она приобрела у фирмы Novell  и
  будет распространять открыто, вместе с исходными текстами Novell DOS 7  По-
  добно коду Linux код будет доступен через Internet. Фирма будет  продолжать
  развивать и поддерживать Novell DOS 7 под назаванием Caldera OpenDOS.

  Для частных лиц  и академических учреждений  OpenDOS будет бесплатен  ! Это
  несколько улучшает шансы положение разработчиков для DOS и поскольку  часть
  технологии будет  использоваться в  эмуляторе Linux  повышает привлекатель-
  ность этой и без кого очень сильной операционной системы. В частности опре-
  деленная часть пользовалей  OS/2 и NT,  которых интересует совместимость  с
  DOS и возможности работы по Internet возможно передут на Linux, если эмуля-
  тор DOS будет повыше классом.

  Caldera также будет распростанять исходные тексты других операционных  сис-
  тем, которые она приобрела у Novell, включая СP/M, DR DOS, PalmDOS,  Multi-
  User DOS.  Ожидается, что  тексты будут  доступны по  Internet в 1 квартале
  1997 года.

Как оказалось между NT Workstation и NT Server нет особой разницы, кроме  це-
  ны...

  Разница в цене составляет примерно  $600 и нет оснований платить  эту сумму
  на те немногие различия в настройках которые превращают NT Workstation в NT
  Server.

  Правда жадный Microsoft несогласен, но легальных средств ограничить исполь-
  зование  Desktop  у  него  нет.  Ограничения,  которые  оговорены в Licence
  agreement по видимому не способны выдержать теста в американском суде.


********************************* Hardware **********************************

Moдемы 56K ожидаются на начале следующего года...

  Неясно принесут ли они какую-нибудь пользу в CIS, где работа на 14,400
  в основном возможна только ночью. 

Конец линии Intel Pentium P5. AMD K5-PR100 - P100 за $85 вытеснил P5/100 с
рынка, а Cyrex 6x133 и 6x166 вытесняют p5/133 и p5/166...

  В шутку можно считать, что AMD удалось слегка прищемить хвост фирме  Intel,
  а Cyrex нанести приличный удар в голову. Похоже Intel исчерпал ресурсы  по-
  вышения выхода P5 и решил расширять производство P6. Поэтому отменены  сни-
  жения цен на процессоры P5 в августе и декабре.

  По всем показателям K5-PR100 чуть быстрее P5/100 примерно на 5% при практи-
  чески вдвое более низкой цене. Он является pin-compartible с P5/100 и может
  вставлятся в стандартный разъем любой платы поддерживающей P5/100.  Процес-
  сор работает с внутренней частотой 100 Mhz и внешней (на шине) 66 Mhz.  При
  этом он имеет внутренний кэш 16K - вдвое больше чем у P5. Однако для  того,
  чтобы в стандартную плату для P5/100 можно было вставить K5-PR100 BIOS дол-
  жен распознавать его как  дополнительный тип процессора. Это  гораздо проще
  сделать для материнских плат с флэш BIOS, поэтому этот тип BIOS теперь ста-
  новится предпочтительным. Большинство новых материнских плат с Triton
  поддерживают P5/100.  В октябре ожидаются версии K5 120MHz, 133MHz и 150MHz.

  Соответственно AMD P5-75/133 подешевел до  $35. Но вопрос покупать его  или
  нет сейчас связан  с ценой и  качеством материнской платы(процессор с платой
  сейчас стоит примерно $120). Поскольку платы для Pentium имеют более  быст-
  рый pipeline burst cache, качественнее реализуют PCI bus и позволяют  рабо-
  тать с EDO RAM это достаточно тонкий вопрос, поскольку приличная плата  для
  486 процессора с 256K write-back стоит  порядка $80, а плата с Triton  II с
  256 pipeline burst cache стоит порядка $110. Т.е. разница в цене составляет
  примерно $30 для процессора и $30 для платы, при практически на треть более
  высокой производительности PC c  K5-PR100. Другими словами после  появления
  K5-PR100 (цена платы с  которым меньше магической цифры  $200, определяющий
  массовый спрос  в CНГ ;-) P5-75/133 похоже перестал быть лидером по соотно-
  шению стоимость/производительность.

  Парадоксально, но на рынке СНГ  Intel похоже проиграл AMD и  Cyrex вчистую.
  Доминирующими процессорами здесь на  ближайший год останутся лучшие  модели
  процессоров фирмы  AMD, а  сектор высокопроизводительных  процессоров будет
  принадлежать Cyrex (Acer использует Cyrex в большинстве моделей; IBM тоже
  будет продавать модели на базе Cyrex; Compaq - на базе K5).

  После появления процессоров AMD и Cyrex соотношение стоимость/производитель-
  ность альтернативных процессоров превосходит Intel по всему спектру  произ-
  водимых моделей серии P5 и  частично P6, так что потребность  покупать про-
  цессоры Intel P5 для desktop может возникнуть только в крупных компаниях  и
  банках, для которых стандартизация  на одном поставщике важнее,  чем лишние
  деньги, потраченные на покупку компьютеров.

  Теперь о производительности. Если кому-то действительно нужна высокая  про-
  изводительность, превышающая K5-PR100, то наиболее подходящей моделью явля-
  ется Cyrex 6x86-P120+. При цене ~$110 и тактовой частоте 100Mгц (Cyrex про-
  ставляет на чипе  не реальную частоту  процессора, а частоту  процессора P5
  фирмы  Intel  эквивалентной  производительности)  он производительнее Intel
  P5/120 на 5% и имеет полную, 100% совместимость cо всеми операционными сис-
  темами включая OS/2 и Linux и всеми мыслимыми приложениями, включая игры.

  Практически минимальным процессором у Intel стал P5/133 и при цене  порядка
  $200, а максимальный P5/166 при цене порядка $470. P5/120 и P5/150 покупают
  только чайники, поскольку  при более низкой  тактовой частоте шины  (60Mгц)
  повышение частоты процессора  мало что дает.  P200 слишком дорог  и слишком
  превосходит частоту  шины, чтобы  представлять интерес  до появления  нового
  стандарта PCI, за исключением пользователей, использующих численные методы.
  Т.е. в линии P5 у Intel осталось всего два жизнеспособных процессора p5/133
  и P5/166. При этом Intel P5/166 по всем параметрам проигрывает Cyrex  6x86-
  P166+ который имеет более низкую цену(порядка $280), более низкую  тактовую
  частоту (133Mгц) и более  высокую производительность. Это уникально  мощный
  процессор. Т.е.  реально остается  только P5/133,  который конечно является
  дорогим(~$250) но  очень удачным  процессором. Однако  по сравнению  с 6x86
  P120+ который чуть уступает ему по производительности, но при этом примерно
  на $150 дешевле, P5/133 несколько дороговат для рынка СНГ.

Triton II chipset повышает производительность на 10-15% по сравнению с
Triton I и поддерживает память с контролем четности (parity memory)

  Цена материнской платы с Triton II и 256K pipeline burst cache упала
  до $100. Triton I покупать не рекомендуется.

Цена памяти упала ниже $7 за мегабайт. 16M SIMM можно купить дешевле $100.

  Встречаются цены $82 и $85 за 16M. При этом цена EDO SIMM стала иденитичной
  цене обычных SIMM, что  фактически делает их предпочтительным  типом памяти
  для процессоров на  базе Pentium. При  такой цене 32M  стали аналогом "нор-
  мального объема памяти", а 16M уже многими рассматривается как минимум. Ряд
  пакетов, в частности Borland С++ 5.0 уже требуют наличия 32M памяти.

СD класса 4x продаются дешевле $40; 6x - $60; 8x - $80.

  CD-ROM драйвы класса 10X, стали  стоить порядка $150. В результате  цены на
  CD более низких скоростей рухнули. Если учесть что после 6X увеличение ско-
  рости лишь незначительно улучшает производительность на типичных приложени-
  ях покупка CD-ROM 8x и 10X представляется не слишком оправданной.

Quantum  планирует  поднять  максимальную  скорость  обмена с IDE драйвами до
33M/сек...

  У существующих дисков максимальная скорость обмена ограничена 16.6M в  сек.
  Quantum лицензировал эту технологию другим производителям дисков бесплатно.
  Intel объявил о том, что он выпустит чипсет, поддерживающий эту  технологию
  в начале 97 года.

Intellimouse новая мышка MS c колесиком посредине, появится на прилавках 
29 ноября...

  Цена пока не объявлена.


**************************** Компании и лидеры ******************************


Pentium 133 становится минимальным процессором для компьютеров AT класса
у крупных сборщиков...

  У  ведущих  компаний  типа  Dell  PCI  Triton  II  P5/133/256pb-16edo-1.2G-
  acc2Mdram-4x-vibra это минимальная конфигурация.

  При сопоставимых компонентах разброс цен превышает 30% и если у неизвестных
  компаний можно купить указанную машину примерно  за $1000, то в Dell с  га-
  рантией,  Windows 95 и MS Office она стоит $1700.

Digital терпит крупные убытки на рынке PC...

  Неспособность предсказать тенденции рынка цены на котором рухнули в прошлом
  году привели к крупному затовариванию устаревшими моделями и плохим  прода-
  жам, особенно в Eвропе.

  Обвал цен на PC застал компанию врасплох. Поскольку компания  ориентируется
  на Intel и Microsoft, она не в состоянии конкурировать с компаниями,  испо-
  льзующими альтернативные  процессоры и  поставляющие машины  с Corel Office
  или Lotus Suit Поскольку Intel отменил снижение цен на процессоры P5 в  ав-
  густе и декабре, шансы выкарабкаться у Digital не велики.

Compaq объявляет о реорганизации...

  Цены по которым Compaq продает свою продукцию уже давно очень слабо  корре-
  лируют с качеством, и пользователи стали мигрировать к другим  производите-
  лям, в частности Dell. Ноутбуки фирмы уже тоже с трудом выдерживают  конку-
  ренцию  с  новой  продукцией  таких  фирм  как  IBM,  Toshiba, Dell и Texas
  Instrument.

Вильям Захман отказывается от поддержки OS/2...

  Вильям Захман (Willam Zahmann) являлся видной фигурой в ряду активных  сто-
  ронников OS/2  в руководителем  влиятельного форума  в Compuserve  (Canopus
  forum).

  Он считает, что IBM произграло рынок операционных систем для PC и  приводит
  (неофициальные) данные согластно которым финансирование разработки OS/2 со-
  кратилось с $450 миллионов в 1995 до $250 миллионов в 1996 и $170 миллионов
  в 1997. Т.е. руководство IBM перестало делать ставку на OS/2 и намерено
  тихо перевести ее в разряд второразрядных разработок и возможно похоронить
  через несколько лет.

  В одном из писем в comp.os.os2.advocacy он написал:

  > I would *not* have change my previously upbeat views concerning OS/2 if
  > I thought there was even a decent chance that IBM (as a whole) would
  > actually try to make it successful.  They aren't going to do that,
  > though.  They're just leaving PSP to make one last stab with what's left
  > of their budget, twisting slowly in the wind with *NO* support of any
  > sort from the rest of IBM.  Do I think that's a dumb move?  You bet I
  > do.  That is, however, what LouG & Co. are doing.

**************** Операционные  системы  и  локальные  сети ******************

Похороны Windows 95 намечены на 1998 год...

  Похоже Windows 97 будет последней версией этой промежуточной системы.
  В дальнейшем MS планирует выпускать только версии NT.

IntranetWare приходит на смену NetWare 4.1...

  Известная в бета версии под названием Green River, она будет иметь интегриро-
  ванные NDS (Novell Directory Services) и Novell Web Server,

  NetWare 4.11 будет подмножеством IntranetWare и продаваться отдельно.

  Кроме того в IntranetWare включена версия 2.x version Netscape Navigator
  с средвствами создания WWW site и Novell Internet Access Server.

  Последний обеспечивает  protocol gateway между TCP/IP and IPX который 
  действует как естественный firewall.

  Также объявлена альфа версия Java Virtual Machine for IntranetWare  которая
  будет одним из дополнительный NLM и включена в Novell Early Access CD,  ко-
  торый выпущен фирмой. Полная версия ожидается в декабре.

  Последующие дополнения к Netware включают firewall и proxy cache.

  Novell также позиционирует IntranetWare как платформу для других продуктов
  для интранет типа GroupWise 5 и ManageWise 2.1.

  IntranetWare и NetWare 4.11 поступит в продажу 7 октября. Цены будут аналогичны
  ценам на Netware 4.x. В частности лицензия на пять пользователей будет стоить
  $1,095. До 7 января апгрейды c  любой версии Netware будут стоит $395  за 5
  пользователей.

  Дополнительные подробности можно получить по WWW (http://www.novell.com).

IBM ориентирует Merlin на использование в корпорациях, минимальный
объем памяти вырастет до 16M...

  Новая версия OS/2 будет содержать ряд новых технологий, включая возможность
  управления голосом. Наиболее значительным нововведением является  поддержка
  Java. Ожидается, что  к концу года  появится Netscape Navigator  for OS/2 -
  приложение без  которого конкурировать  с Windows  95 и  NT затруднительно.
  Включен Notes Mail,  который безусловно наголову  превосходит MS Mail  и MS
  Exchange.

Вышла коммерческая версия NT 4.0...

  Наиболее значительным нововведением является интерфейс от Windows 95. Как и
  сама Windows  95 интерфейс  является временным  решением и  в дальнейшем MS
  планирует использовать WWW броушер вместо File Explore, что приведет к
  значительным изменениям интерфейса.


*********************************** Субд ************************************

Lotus включился в гонку на WWW: объявил о выпуске средств для перевода  поль-
зователей с CC:mail на Lotus Notes. Notes Domino будет поддерживать HTML...

  Notes 4.5  будет представляет  собой, помимо  базовой функциональности, до-
  вольно  приличный  сервер  для  WWW.  Он  будет использовать так называемую
  Domino технологию которая даст возможность работать с Notes сервером с  по-
  мощью WEB броушера. При этом  будут поддерживаться HTML и HTTP  как базовые
  формат и протокол, а не с помощью эмуляции.

  В то время как  Lotus стремится стать поставщиком  программного обеспечения
  для WWW ряд  фирм пытаются реализовать  функциональные возможности Notes  в
  рамках WWW  непосредственно. В  частности репликация  подобная Notes  будет
  встроена в Netscape, который будет иметь возможность доставать определенные
  страницы в  автономном режиме,  например ночью,  а потом  показывать их без
  утомительного вытягивания картинок по перегруженным днем линиям.

  Цена клиента и сервера для Notes($5 и $495) ниже чем цены для WWW клиента и
  сервера у Microsoft ($93 и $5773) и Netscape ($135 и $3680). В то же  время
  функциональные возможности у Notes в несколько раз больше.

  Недостатком Notes является то, что это закрытая технология, которой владеет
  одна фирма (IBM), в то время как WWW является открытой технологией.

Oracle лицензирует Netscape Navigator...

  Oracle лицензировал 16 000 копий Netsape Navigator и возможно откажется  от
  разработки собственного броушера.

Фирма Btrive объявила о том, что она будет теперь называться
Pervasive Technologies.

******************* Системное  программное  обеспечение *********************

FastCD CD-ROM Drive Emulation Software speed up disc Access

  FastCD позволяет упаковывать СD Rom на жесткий диск сжимая файлы,
  если это возможно. Поскольку 1G HD стоит всего $150, а 5 CD changer
  фирмы Panasonic стоит $199(правда ожидается, что цена довольно неплохого
  CD changer на 4 диска NEC CDR4x4 в августе упадет до $99), это очень
  выгодное решение для BBS и оптимальное решение для тем, кто решил не
  переплачивать за CD-ROM типа 8-x или 10-x (Cd-ROM типа 4x или 6-x вполне
  адекватны и стоят порядка $50; очень приличный).

  Доступ с диска быстрее в 6-8 раз и диск 1.25G стоит сейчас дешевле $200.
  Программа позволяет запускать с жесткого диска программы, защищенные от
  копирования типа игр.

Появился Pkzip для Windows, поддерживающий длинные имена...

  Pkzip for Windows 2.01 являет коммерческим продуктом с ценой $49.
  При этом он уступает WinZip 6.1 который продается по цене $29.

К сожаления, похоже благодаря MFS Microsoft удастся вытеснить Borland
с рынка компиляторов C++...

  Microsoft Foundation Classes стали индустриальным стандартом и  большинство
  разработчиков на Западе выбирают в качестве компилятора VC++ даже не  заду-
  мываясь о том, что есть более качественные и дешевые альтернативы.

  Поэтому несмотря на более высокое качество продуктов фирмы Borland по срав-
  нению  с  продуктами  фирмы  Microsoft  продажи  компиляторов Borland C++ и
  Delphy в этом первом полугодии не оправдали надежд. Шанс заработать на ажи-
  отаже вокруг Java упущен: Борланд опоздал с выпуском пакета для разработчи-
  ков на Java и Semantec перехватил этот шанс выпустив Java Cafee. Визуальная
  среда для Java фирмы Borland (c кодовым названием Latte) будет готова толь-
  ко в конце года.

  Aкции компании упали с $12 до $7. Президент Борланд Gary Wetsel ушел в от-
  ставку.

  Слабые продажи компилятора  C++ обусловили решение  лицензировать Microsoft
  foundation Classes v.4.1, которые будут включены в следующую версию.

Kedit 1.5 продолжает опережать MultiEdit for Windows...

  Версия 1.5 имеет ряд нововведений в встроенном языке KEX (практически
  полный REXX) и возможность редактирования HTML.

Office 97 ожидается в феврале 1997 года...

  Наиболее значительным нововведением является поддержка HTML во всех
  компоненах.

********************** Internet  и  телекоммуникации ************************

Java в перспективе может стать стандартным языком разработки приложений...

  Java значительно проще  в освоении, чем  C++ и обладает  достаточно широким
  спектром возможностей по программированию стандартных аппликаций для  любой
  платформы. Независимость от  платформы делает Java  предпочтительнее Delphy
  или VB, которые ограничены средой Windows.

  Java является прогрессивным языком который в какой-то мере возвращает про-
  граммистам  те  преимущества,  которыми  в старину пользовались программисты
  владевшие PL/1. Написание программ становится значительно более легким, чем
  на C или C++  и сравнимо с написанием  программ на Turbo Pascal.  Концепция
  апплета - модуля загружаемого с другого компьютера по сети создает ряд уни-
  кальных возможностей, недоступных в других языках.

  Кроме того Java является не только технологическим достижением, но и  соци-
  альным достижением, показывающим пути освобождения программистов от  закры-
  тых и слабо документированных API наштампованных фирмой Microsoft,  которые
  у многих начисто  убивают желание программировать  для Windows. Впервые  за
  много лет появляется возможность  за неделю написать приличную,  достаточно
  сложную программу с оконным  интерфейсом, которая будет исполняться  как на
  UNIX так и на Windows, не потратив год на изучение проблем совместимости  и
  тонкостей реализаций различного рода оконных функций.

  Превращение WWW в новый вид коммуникаций обеспечивают Java уникально  быст-
  рый успех. Очень интересен JavaScript реализованный в Netscape. Это на  мой
  взгляд то, что выделяет Netscape  как мощный и гибкий броушер.  Все ведущие
  фирмы слепили интерпретаторы с  сумасшедшей скоростью. Уже сейчас  на рынке
  есть порядка десятка коммерческих и бесплатных реализаций. Первым на  рынок
  вышла фирма Semantic со своим Java Cafe (только что появилась версия 1.2).

  Опоздавший к столу Microsoft раздает бесплатно бета версию J++ 1.0 (по мое-
  му    до    15    сентября    ее    можно    было    скачать    прямо     с
  www.microsoft.com/sitebuilder/; там же лежат FrontPage 1.1 и более 100  Web
  based sample controls).

Perl вытесняет REXX в качестве супершелла...

  Поскольку помимо использования в качестве супершелла Perl широко  использу-
  ется в качестве  языка написания CGI  аппликаций, он становится  предпочти-
  тельнее REXX и  в других областях.  Конечно Perl значительно  сложнее REXX,
  однако неспособность IBM рекламировать  свои лучшие продукты обрекает  REXX
  на роль "нишевого языка"  используемого, в основном, пользователями  OS/2 и
  VM/CMS.


Коммерческая версия Netscape 3.0 вышла в августе. Появилась бета 4.0...

  Версия 4.0  будет поддерживать  ряд предложенных  компанией расширений HTML
  включая возможность вычисления в таблицах, одновременного раскрытия  неско-
  льких окон и новый тип frame без скроллбаров и рамки.

  Будут расширены возможности JavaScript - уникально-полезного макроязыка ча-
  стично совместимого с Java

  Она также предоставит пользователям более полноценный ридер почты с возмож-
  ностью просматривать и отвечать на почту в режиме offline.

  Поскольку прототип Netscape под названием Mosaic был написан Mарком  Андер-
  сеном в то время когда он  был студентом и подрабатывал кодируя за  $6.85 в
  час, рынок апплетов к  Netscape, написанных на Java,  возможно заинтересует
  программистов из СНГ которые не прочь получать подобную почасовую  зарплату
  ;-).

Возможно HTML будет использоваться Microsoft как стандартный формат для HELP...

  В гонке по "приватизации" Internet Microsoft сделал достаточно сильный  ма-
  невр, которые позволит ему иметь гораздо больший вес при решении о дополни-
  тельных возможностях HTML в версии 4.0 и тем самым противодействовать ново-
  введениям, предложенным Netscape.

  Использование HTML позволит пользователям MS Windows иметь доступ к  любому
  имеющемуся в сети HELP файлу и позволят читать HELP файлы с помощью  любого
  стандартного WWW броушера.

Web Translator - неплохая задача для программистов СНГ...

  Перевод с русского на английский на лету при просмотре Web-site это  прило-
  жение, для которого есть место на рынке и которое будет покупаться за рубе-
  жом.

  Одновременно оно может использоваться и для создания "второго лица" WWW се-
  рверов, хотя качество перевода в этом случае может испортить впечатление.

  Первые продукты такого рода уже появились на западе на испанского, немецко-
  го и французского.


*********************** Bisness related software ****************************

Microsoft  лицензирует  VBA  Autodesk,  Adobe,  Micrografx, netManage, Sagent
Technology, SAP AG и Visio Corp...

  Visio уже интегрировал VBA в свой продукт. VBA 5.0 будет иметь новую  среду
  для разработки приложений, ActiveX  controls и QuickTip -  утилиту, которая
  будет подсказывать какие функции можно использовать в данном контексте.

Office 97 будет работать с HTML как стандартным форматом...

  Сейчас эти функциональные возможности доступны с помощью отдельных Internet
  Assistants для MS Word, Excel и Power Point.

  Новой возможностью будет то, что пользователи смогут просматривать и редак-
  тировать любой документ прямо из броушера использую технологию ActiveX

************************ Компьютерная преступность **************************

Шумиха вокруг вируса HARE оказалась напрасной...

  22 августа (в этот день и  22 сентября этот вирус уничтожает информацию  на
  жестком диске) никаких особых катастроф не наблюдалось. Таким образом  HARE
  стал достойным наследником вируса Микельанжело.


AVP Eвгения Касперского успешно выходит на западный рынок...

  По ряду показателей, включая пожалуй самый важный - количество апдейтов за
  год, она является лидером среди антивирусных сканнеров. Пожалуй это сейчас
  самая известная за рубежом российская программа.

  Скорость сканирования пока хромает, но  это я думаю дело поправимое  - были
  бы деньги на разработку ;-). AVPLITE 2.2, публикуемый в этом номере,  явля-
  ется  достаточно  компактной  программой  и  несмотря на низкую скорость он
  вполне может использоватьcя в организациях в качестве login сканнера.


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Софтпанорама является ежемесячным бюллетенем на который принимается подписка.
По Украине и России распространителем является OOO Софтпанорама (252006,Киев,
a/я 604). Условия подписки приведены в разделе README (файл subscr.4sp)
выпусков A и С каждого номера.
